abstract class AuthEvent {}

class AuthLoginEvent extends AuthEvent {}

class AuthLoginSuccessEvent extends AuthEvent {
  String sessionId;

  AuthLoginSuccessEvent(this.sessionId);
}

class AuthLogoutEvent extends AuthEvent {}

class AuthFailedEvent extends AuthEvent {
  String message;

  AuthFailedEvent({required this.message});
}
